package com.rjconsultores.ventaboletos.vo.comissao;

import java.math.BigDecimal;
import java.util.Date;

public class ComissaoLogVO {

	private Integer puntoventaId;
	private Integer empresaId;
	private Date feccorte;
	private Integer usuarioId;
	private Integer turnoId;
	private Long cajaId;
	private Long cajadiversosId;
	private BigDecimal porcComissao;
	private BigDecimal valorBase;
	private BigDecimal valorComissao;
	private String origem;
	private String texto;

	public Integer getPuntoventaId() {
		return puntoventaId;
	}

	public void setPuntoventaId(Integer puntoventaId) {
		this.puntoventaId = puntoventaId;
	}

	public Integer getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}

	public Date getFeccorte() {
		return feccorte;
	}

	public void setFeccorte(Date feccorte) {
		this.feccorte = feccorte;
	}

	public Integer getUsuarioId() {
		return usuarioId;
	}

	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}

	public Integer getTurnoId() {
		return turnoId;
	}

	public void setTurnoId(Integer turnoId) {
		this.turnoId = turnoId;
	}

	public Long getCajaId() {
		return cajaId;
	}

	public void setCajaId(Long cajaId) {
		this.cajaId = cajaId;
	}

	public Long getCajadiversosId() {
		return cajadiversosId;
	}

	public void setCajadiversosId(Long cajadiversosId) {
		this.cajadiversosId = cajadiversosId;
	}

	public BigDecimal getPorcComissao() {
		return porcComissao;
	}

	public void setPorcComissao(BigDecimal porcComissao) {
		this.porcComissao = porcComissao;
	}

	public BigDecimal getValorBase() {
		return valorBase;
	}

	public void setValorBase(BigDecimal valorBase) {
		this.valorBase = valorBase;
	}

	public BigDecimal getValorComissao() {
		return valorComissao;
	}

	public void setValorComissao(BigDecimal valorComissao) {
		this.valorComissao = valorComissao;
	}

	public String getOrigem() {
		return origem;
	}

	public void setOrigem(String origem) {
		this.origem = origem;
	}

	public String getTexto() {
		return texto;
	}

	public void setTexto(String texto) {
		this.texto = texto;
	}

}
